|
|||||||||
| Home >> All >> com >> lutris >> [ http overview ] | PREV NEXT | ||||||||
A
- AddKey(Hashtable, String, String) - Static method in class com.lutris.http.HttpUtils
- Adds the pair key and value to table.
- accepted - Static variable in class com.lutris.http.HttpStatus
- addType(String, String) - Method in class com.lutris.http.MimeType
- Register a new mime type.
- appendCookieArg(StringBuffer, String, String) - Static method in class com.lutris.http.HttpCookieParser
- Append a cookie keyword/value pair, with any necessary quoting of the value.
- appendCookieArg(int, StringBuffer, String, String) - Static method in class com.lutris.http.HttpCookieParser
- Append a cookie keyword/value pair, with any necessary quoting of the value.
B
- BasicAuth - class com.lutris.http.BasicAuth.
- Methods to be used to implement the HTTP Basic Auth authorization method.
- BasicAuth() - Constructor for class com.lutris.http.BasicAuth
- BasicAuthResult - class com.lutris.http.BasicAuthResult.
- This class is used by BasicAuth to return both the username and the password at once.
- BasicAuthResult(String, String) - Constructor for class com.lutris.http.BasicAuthResult
- Only the BasicAuth class should create instances of this class.
- badGateway - Static variable in class com.lutris.http.HttpStatus
- badRequest - Static variable in class com.lutris.http.HttpStatus
C
- clear() - Method in class com.lutris.http.HttpCookieManager
- Removes all cookies from this manager.
- com.lutris.http - package com.lutris.http
- comment - Variable in class com.lutris.http.SerializableCookie
- conflict - Static variable in class com.lutris.http.HttpStatus
- cookies - Variable in class com.lutris.http.HttpCookieManager
- The set of cookies managed by this object.
- created - Static variable in class com.lutris.http.HttpStatus
D
- DOMAIN - Static variable in class com.lutris.http.HttpCookieParser
- dateFormatter - Static variable in class com.lutris.http.HttpCookieParser
- Object for formatting dates.
- decode(String) - Static method in class com.lutris.http.URLDecoder
- Decode a urlencoded string by replacing '+' with space ' ', and "%xx" to the Latin1 character specified by the hex digits "xx".
- doContinue - Static variable in class com.lutris.http.HttpStatus
- domain - Variable in class com.lutris.http.SerializableCookie
E
- EXPIRES - Static variable in class com.lutris.http.HttpCookieParser
- expiresToMaxAge(String) - Static method in class com.lutris.http.HttpCookieParser
- Convert an old cookie expires data to maximum age; assuming now as the start.
F
- forbidden - Static variable in class com.lutris.http.HttpStatus
- formatResponseCookie(Cookie) - Static method in class com.lutris.http.HttpCookieParser
- Format a Cookie for a response header.
G
- gatewayTimeout - Static variable in class com.lutris.http.HttpStatus
- getAuth(String) - Static method in class com.lutris.http.BasicAuth
- getAuthentication(HttpPresentationRequest) - Static method in class com.lutris.http.BasicAuth
- Checks to see if the authorization matches the given username and password.
- getAuthentication(JoltRequest) - Static method in class com.lutris.http.BasicAuth
- Checks to see if the authorization matches the given username and password.
- getAuthentication(HttpServletRequest) - Static method in class com.lutris.http.BasicAuth
- Extracts and returns the username and password using the HTTP Basic Auth method.
- getCookie() - Method in class com.lutris.http.SerializableCookie
- Recreate the cookie that was passed into the constructor.
- getCookies() - Method in class com.lutris.http.HttpCookieManager
- Returns an array of the cookies being managed.
- getRequestHeader() - Method in class com.lutris.http.HttpCookieManager
- Returns the string representation of all the cookies being managed by this object as an http cookie request header.
- getRequestHeader(String, String) - Method in class com.lutris.http.HttpCookieManager
- Returns the string representation of the cookies being managed by this object as an http cookie request header The format of the header is:
- getRequestURL(HttpPresentationRequest) - Static method in class com.lutris.http.HttpUtils
- Obtains the URL used by the client to make the current request, without the query parameters.
- getResponseHeader() - Method in class com.lutris.http.HttpCookieManager
- Returns the string representation of the cookies being managed by this object as an http cookie response ("Set-Cookie") header.
- getStatusMsg(int) - Static method in class com.lutris.http.HttpStatus
- Get the default status message for a HTTP status code.
- getType(String) - Method in class com.lutris.http.MimeType
- Returns the mime type associated with a file.
- gone - Static variable in class com.lutris.http.HttpStatus
H
- HttpCookieManager - class com.lutris.http.HttpCookieManager.
- This object manages cookies defined in http request and response headers.
- HttpCookieManager() - Constructor for class com.lutris.http.HttpCookieManager
- Constructs a new cookie manager.
- HttpCookieParser - class com.lutris.http.HttpCookieParser.
- This class takes a cookie header and converts it into a set of http cookies.
- HttpCookieParser() - Constructor for class com.lutris.http.HttpCookieParser
- HttpStatus - class com.lutris.http.HttpStatus.
- HttpStatus() - Constructor for class com.lutris.http.HttpStatus
- HttpUtils - class com.lutris.http.HttpUtils.
- Utility methods useful to for HTTP.
- HttpUtils() - Constructor for class com.lutris.http.HttpUtils
- httpVersionNotSupported - Static variable in class com.lutris.http.HttpStatus
I
- internalServerError - Static variable in class com.lutris.http.HttpStatus
L
- lenghtRequired - Static variable in class com.lutris.http.HttpStatus
M
- MAXAGE - Static variable in class com.lutris.http.HttpCookieParser
- MimeType - class com.lutris.http.MimeType.
- Class for querying and setting mime types.
- MimeType() - Constructor for class com.lutris.http.MimeType
- Default Constructor
- maxAge - Variable in class com.lutris.http.SerializableCookie
- maxAgeToExpires(int) - Static method in class com.lutris.http.HttpCookieParser
- Convert amaximum age to a old cookie expires data; assuming now as the start.
- mergeHeader(String) - Method in class com.lutris.http.HttpCookieManager
- Merges the cookies contained in the specified http response header into the set of cookies being managed by this object.
- methodNotAllowed - Static variable in class com.lutris.http.HttpStatus
- movedPermanently - Static variable in class com.lutris.http.HttpStatus
- movedTemporarily - Static variable in class com.lutris.http.HttpStatus
- multipleChoices - Static variable in class com.lutris.http.HttpStatus
N
- name - Variable in class com.lutris.http.SerializableCookie
- noContent - Static variable in class com.lutris.http.HttpStatus
- nonAuthoritativeInformation - Static variable in class com.lutris.http.HttpStatus
- notAcceptable - Static variable in class com.lutris.http.HttpStatus
- notFound - Static variable in class com.lutris.http.HttpStatus
- notImplemented - Static variable in class com.lutris.http.HttpStatus
- notModified - Static variable in class com.lutris.http.HttpStatus
O
- ok - Static variable in class com.lutris.http.HttpStatus
P
- PATH - Static variable in class com.lutris.http.HttpCookieParser
- parseCookieString(String) - Static method in class com.lutris.http.HttpCookieParser
- parsePostData(int, InputStream) - Static method in class com.lutris.http.HttpUtils
- Parses FORM data posted by a client using the HTTP POST method
and the
application/x-www-form-urlencodedMIME type. - parseQueryString(String) - Static method in class com.lutris.http.HttpUtils
- Decodes a query string in the format specified by the MIME
type
"application/x-www-form-urlencoded". - parseRequestHeader(String) - Static method in class com.lutris.http.HttpCookieParser
- Parses an http cookie request header and returns a vector of Cookie objects defined in the header.
- parseRequestHeader(String, String) - Static method in class com.lutris.http.HttpCookieParser
- Parses an http cookie request header and returns the first cookie that matches the specified name.
- parseResponseHeader(String) - Static method in class com.lutris.http.HttpCookieParser
- Parses an http cookie response header and returns a vector of Cookie objects defined in the header.
- partialContent - Static variable in class com.lutris.http.HttpStatus
- password - Variable in class com.lutris.http.BasicAuthResult
- The password that was sent along with the request.
- path - Variable in class com.lutris.http.SerializableCookie
- paymentRequired - Static variable in class com.lutris.http.HttpStatus
- preconditionFailed - Static variable in class com.lutris.http.HttpStatus
- proxyAuthenticationRequired - Static variable in class com.lutris.http.HttpStatus
R
- requestEntityTooLarge - Static variable in class com.lutris.http.HttpStatus
- requestTimeout - Static variable in class com.lutris.http.HttpStatus
- requestUriTooLarge - Static variable in class com.lutris.http.HttpStatus
- resetContent - Static variable in class com.lutris.http.HttpStatus
S
- SECURE - Static variable in class com.lutris.http.HttpCookieParser
- SerializableCookie - class com.lutris.http.SerializableCookie.
- This class is a substitute for Cookies, but it is serializable.
- SerializableCookie(Cookie) - Constructor for class com.lutris.http.SerializableCookie
- Constructor.
- secure - Variable in class com.lutris.http.SerializableCookie
- seeOther - Static variable in class com.lutris.http.HttpStatus
- serviceUnavailable - Static variable in class com.lutris.http.HttpStatus
- statusMsgs - Static variable in class com.lutris.http.HttpStatus
- switchingProtocols - Static variable in class com.lutris.http.HttpStatus
T
- testEquality(Cookie, Cookie) - Method in class com.lutris.http.HttpCookieManager
- Compares two cookies.
- toString() - Method in class com.lutris.http.HttpCookieManager
- Returns the string representation of the headers/cookies being managed by this object as an http cookie response header (i.e.
- toString() - Method in class com.lutris.http.SerializableCookie
- Returns a multi-line description of the data stored about the cookie.
- trimQueryString(String) - Static method in class com.lutris.http.HttpUtils
- Trims the left-hand side of a URL until the character '?' is reached.
- types - Variable in class com.lutris.http.MimeType
U
- URLDecoder - class com.lutris.http.URLDecoder.
- This class contains a utility method for converting a
Stringfrom the MIME"x-www-form-urlencoded"into its original format. - URLDecoder() - Constructor for class com.lutris.http.URLDecoder
- unauthorized - Static variable in class com.lutris.http.HttpStatus
- unsupportedMediaType - Static variable in class com.lutris.http.HttpStatus
- useProxy - Static variable in class com.lutris.http.HttpStatus
- username - Variable in class com.lutris.http.BasicAuthResult
- The username that was sent along with the request.
V
- value - Variable in class com.lutris.http.SerializableCookie
- version - Variable in class com.lutris.http.SerializableCookie
A B C D E F G H I L M N O P R S T U V
|
|||||||||
| Home >> All >> com >> lutris >> [ http overview ] | PREV NEXT | ||||||||